Bug#890945: node-temporary: auotpkgtest broken with nodejs 8.9 due to deprecation warnings

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#890945: node-temporary: auotpkgtest broken with nodejs 8.9 due to deprecation warnings

Steve Langasek-5
Package: node-temporary
Version: 0.0.8-2
Severity: normal
Tags: patch
User: [hidden email]
Usertags: origin-ubuntu bionic ubuntu-patch autopkgtest

Dear Private,

With the update to nodejs 8.9.3, the autopkgtest for node-temporary fails in
Debian and Ubuntu due to deprecation warnings on stderr:

[...]
autopkgtest [08:28:30]: test command1:  - - - - - - - - - - results - - - - - - - - - -
command1             FAIL stderr: (node:11230) [DEP0013] DeprecationWarning: Calling an asynchronous function without callback is deprecated.
autopkgtest [08:28:30]: test command1:  - - - - - - - - - - stderr - - - - - - - - - -
(node:11230) [DEP0013] DeprecationWarning: Calling an asynchronous function without callback is deprecated.
(node:11230) [DEP0013] DeprecationWarning: Calling an asynchronous function without callback is deprecated.
(node:11230) [DEP0013] DeprecationWarning: Calling an asynchronous function without callback is deprecated.
(node:11230) [DEP0013] DeprecationWarning: Calling an asynchronous function without callback is deprecated.
(node:11230) [DEP0013] DeprecationWarning: Calling an asynchronous function without callback is deprecated.
[...]

While the test failure is (unfortunately) not considered a blocker for
Debian testing, autopkgtest regressions are blockers for Ubuntu releases.

I have examined the warnings and determined that they originate with the
test suite itself, not with the code under test, so I think a reasonable
solution is to allow-stderr from this autopkgtest.  Please see the attached
patch.

Cheers,
--
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
[hidden email]                                     [hidden email]

node-temporary_0.0.8-2ubuntu1.debdiff (362 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#890945: Fwd: [vesln/temporary] Tests fail (#28)

Xavier Guimard-3
node-temporary in memoriam...

Anyway, keeping this package in buster seems not a security problem:
very simple wrapper around node.fs()

-------- Message transféré --------
Subject : Re: [vesln/temporary] Tests fail (#28)
Date : Wed, 23 Jan 2019 08:57:32 -0800
From : Will <[hidden email]>
To : vesln/temporary <[hidden email]>

If you create this as a pull request, we can merge it in on GitHub,
however only @vesln <https://github.com/vesln> , who has disappeared for
some years, is able to update the published package on NPM. As such,
it's probably best to think of this official repository as deprecated.

https://github.com/vesln/temporary/issues/28#issuecomment-456881403